Bug 968620 - SELinux is preventing /usr/bin/bash from read, open access on the file /usr/bin/systemctl.
SELinux is preventing /usr/bin/bash from read, open access on the file /usr/b...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:c8505d8b6f94e5efe5408627212...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-29 19:27 EDT by Daniel Demus
Modified: 2013-07-24 20:38 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.11.1-98.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 20:38:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Demus 2013-05-29 19:27:08 EDT
Description of problem:
libreswan has recently replaced openswan
SELinux is preventing /usr/bin/bash from read, open access on the file /usr/bin/systemctl.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that bash should be allowed read open access on the systemctl file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep service /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:ipsec_mgmt_t:s0
Target Context                system_u:object_r:systemd_systemctl_exec_t:s0
Target Objects                /usr/bin/systemctl [ file ]
Source                        service
Source Path                   /usr/bin/bash
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           bash-4.2.45-1.fc18.x86_64
Target RPM Packages           systemd-201-2.fc18.7.x86_64
Policy RPM                    selinux-policy-3.11.1-96.fc18.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.9.4-200.fc18.x86_64 #1 SMP Fri
                              May 24 20:10:49 UTC 2013 x86_64 x86_64
Alert Count                   1
First Seen                    2013-05-30 01:23:30 CEST
Last Seen                     2013-05-30 01:23:30 CEST
Local ID                      7d40a63e-6af3-4fe3-9d60-ec4ade65e488

Raw Audit Messages
type=AVC msg=audit(1369869810.719:410): avc:  denied  { read open } for  pid=4898 comm="service" path="/usr/bin/systemctl" dev="sda3" ino=3159238 scontext=system_u:system_r:ipsec_mgmt_t:s0 tcontext=system_u:object_r:systemd_systemctl_exec_t:s0 tclass=file


type=SYSCALL msg=audit(1369869810.719:410): arch=x86_64 syscall=execve success=no exit=EACCES a0=968460 a1=992140 a2=969800 a3=7fff70dda6f0 items=0 ppid=1277 pid=4898 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=service exe=/usr/bin/bash subj=system_u:system_r:ipsec_mgmt_t:s0 key=(null)

Hash: service,ipsec_mgmt_t,systemd_systemctl_exec_t,file,read,open

audit2allow

#============= ipsec_mgmt_t ==============
#!!!! This avc is allowed in the current policy

allow ipsec_mgmt_t systemd_systemctl_exec_t:file { read open };

audit2allow -R
require {
	type ipsec_mgmt_t;
}

#============= ipsec_mgmt_t ==============
systemd_exec_systemctl(ipsec_mgmt_t)


Additional info:
reporter:       libreport-2.1.4
hashmarkername: setroubleshoot
kernel:         3.9.4-200.fc18.x86_64
type:           libreport
Comment 1 Miroslav Grepl 2013-05-30 08:14:05 EDT
Fixed in selinux-policy-3.11.1-97.fc18.noarch
Comment 2 Fedora Update System 2013-06-27 09:34:26 EDT
selinux-policy-3.11.1-98.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-98.fc18
Comment 3 Fedora Update System 2013-06-28 02:08:39 EDT
Package selinux-policy-3.11.1-98.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-98.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-11859/selinux-policy-3.11.1-98.fc18
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-07-24 20:38:30 EDT
selinux-policy-3.11.1-98.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.